com.jogamp.newt.util.applet

## Class JOGLNewtApplet3Run

- java.lang.Object
- - com.jogamp.newt.util.applet.JOGLNewtApplet3Run

-     public class JOGLNewtApplet3Run
      extends Object

  Simple GLEventListener deployment as an applet using JOGL. This demo must be referenced from a web page via an <applet> tag.

  Example of an applet tag using GearsES2 within the applet area (normal case):

              <applet width=100 height=100>
                 <param name="java_arguments" value="-Dsun.java2d.noddraw=true">
                 <param name="gl_event_listener_class" value="com.jogamp.opengl.test.junit.jogl.demos.es2.GearsES2">
                 <param name="gl_profile" value="GL2">
                 <param name="gl_swap_interval" value="1">
                 <param name="gl_debug" value="false">
                 <param name="gl_trace" value="false">
                 <param name="jnlp_href" value="jogl-newt-applet-runner.jnlp">
              </applet>Hello Gears !

  Example of an applet tag using GearsES2 in an undecorated, translucent, closeable and always-on-top window:

              <applet width=1 height=1>
                 <param name="java_arguments" value="-Dsun.java2d.noddraw=true">
                 <param name="gl_event_listener_class" value="com.jogamp.opengl.test.junit.jogl.demos.es2.GearsES2">
                 <param name="gl_profile" value="GL2">
                 <param name="gl_swap_interval" value="1">
                 <param name="gl_undecorated" value="true">
                 <param name="gl_alwaysontop" value="true">
                 <param name="gl_closeable" value="true">
                 <param name="gl_alpha" value="1">
                 <param name="gl_multisamplebuffer" value="0">
                 <param name="gl_opaque" value="false">
                 <param name="gl_dx" value="10">
                 <param name="gl_dy" value="0">
                 <param name="gl_width" value="100">
                 <param name="gl_height" value="100">
                 <param name="gl_nodefaultkeyListener" value="true">
                 <param name="gl_debug" value="false">
                 <param name="gl_trace" value="false">
                 <param name="jnlp_href" value="jogl-newt-applet-runner.jnlp">
              </applet>Hello Gears !

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JOGLNewtApplet3Run()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeWindowDownstream` | `createNativeWindow(Applet3Context ctx, NativeWindowUpstream upstreamWin)`
    `void` | `destroy()`
    `String` | `getAppletInfo()`
    `Locale` | `getLocale()`
    `String[][]` | `getParameterInfo()`
    `void` | `init(Applet3Context ctx)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static final boolean DEBUG

  - ### Constructor Detail

    - #### JOGLNewtApplet3Run

          public JOGLNewtApplet3Run()

  - ### Method Detail

    - #### createNativeWindow

          public NativeWindowDownstream createNativeWindow(Applet3Context ctx,
                                                  NativeWindowUpstream upstreamWin)

    - #### init

          public void init(Applet3Context ctx)

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### destroy

          public void destroy()

    - #### getAppletInfo

          public String getAppletInfo()

    - #### getLocale

          public Locale getLocale()

    - #### getParameterInfo

          public String[][] getParameterInfo()

Copyright 2010 JogAmp Community.